/*
	track_focus.js contains functionality to track if the user changed tab/window during the experiment.
	Author: Daniel Brand (daniel.brand@metech.tu-chemnitz.de)
*/

// Here, the single events are stored as a list of dictionaries containing:
// - The current page
// - Duration: How long the page was left
// - Timestamp: a timestamp in milliseconds
var pageLeaveData = [];

// Here, the total accumulated unfocus time is stored
var totalLeftTime = 0;


// The following code measures the time between unfocus/focus
var pageLeftTimestamp = Date.now();
window.addEventListener('blur', function(){
	pageLeftTimestamp = Date.now();
});
window.addEventListener('focus', function(){
	var pleftDuration = Date.now() - pageLeftTimestamp;
	pageLeaveData.push({
		"page" : window.location.pathname,
		"duration" : pleftDuration,
		"timestamp": Date.now()
	});

	totalLeftTime += pleftDuration;

	console.log("Total left time:" , totalLeftTime);
});